gtk.IMMulticontext
Prev | The gtk Class Reference | Next

## gtk.IMMulticontext

gtk.IMMulticontext — an input method context object that manages the use of multiple input method contexts for a widget

## Synopsis

    class gtk.IMMulticontext(gtk.IMContext):
        gtk.IMMulticontext()
        def append_menuitems(menushell)
        def get_context_id()
        def set_context_id(context_id)

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.IMContext
          +-- gtk.IMMulticontext

## gtk.IMMulticontext Signal Prototypes

gobject.GObject Signal Prototypes

gtk.IMContext Signal Prototypes

## Description

The `gtk.IMMulticontext` class is a subclass of `gtk.IMContext` that manages the use of multiple input method contexts for a widget including the ability to switch between contexts on the fly. A `gtk.IMMulticontext` object will proxy the method calls and signals to and from the object implementing the input method.

## Constructor

        gtk.IMMulticontext()

Returns : | a new `gtk.IMMulticontext` object.

Creates a new `gtk.IMMulticontext` object.

## Methods

### gtk.IMMulticontext.append_menuitems

        def append_menuitems(menushell)

`menushell` : | a `gtk.MenuShell` widget

The `append_menuitems`() method adds menuitems for various available input methods to a menu; the menuitems, when selected, will switch the input method for the context and the global default input method.

### gtk.IMMulticontext.get_context_id

        def get_context_id()

Returns : | The id of the currently active slave.

### Note

This method is available in PyGTK 2.16 and above.

The `get_context_id`() method gets the id of the currently active slave of the context.

### gtk.IMMulticontext.set_context_id

        def set_context_id(context_id)

`context_id` : | The id to use.

### Note

This method is available in PyGTK 2.16 and above.

The `set_context_id`() method sets the context id for context.

This causes the currently active slave of context to be replaced by the slave corresponding to the new context id.

Prev | Up | Next
gtk.IMContextSimple | Home | gtk.InfoBar